Security Builder® FIPS Module

Certificate details

Certificate ID #3713
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 28.09.2020
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. This validation entry is a non-security-relevant modification to Cert. #1579
Exceptions
  • Physical Security: N/A
Description The Security Builder FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API.
Tested configurations
  • QNX Neutrino 6.5 running on a PowerPC based PC with a Freescale P1010 Processor [3]
  • QNX Neutrino 6.6 running on an ARM based PC with an ARMv7 Processor [1][2][3]
  • QNX Neutrino 6.6 running on an Intel based PC with an Intel Celeron N2820 Processor [3] (single-user mode)
Vendor Certicom Corp. http://www.certicom.com
Lab Lightship Security, Inc.
Algorithms
References

This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, DES, TDES, Triple-DES, TripleDES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMAC
Asymmetric Algorithms
ECDH, ECDSA, ECIES, ECC, DH, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5
Schemes
Key Agreement
Protocols
SSL
Randomness
DRBG, RNG
Block cipher modes
ECB, CBC, CTR, GCM, CCM, XTS

Security level
Level 1
Side-channel analysis
Timing Attack, Timing Attacks, Bleichenbacher attack

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

Loading...

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3713,
  "dgst": "6581e4cbb8c4fb16",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#1422",
        "#500",
        "KTS#1609",
        "HMAC#945",
        "DSA#500",
        "ECDSA#200",
        "#945",
        "#1609",
        "KAS#14",
        "#1054",
        "DRBG#82",
        "AES#1609",
        "Triple-DES#1054",
        "#791",
        "#200",
        "SHS#1422",
        "#82",
        "RSA#791"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": {
        "_type": "Set",
        "elements": [
          "1579"
        ]
      },
      "indirectly_referenced_by": null,
      "indirectly_referencing": {
        "_type": "Set",
        "elements": [
          "1579"
        ]
      }
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": [
        "1579"
      ]
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 43,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 2
          },
          "ECDH": {
            "ECDH": 11
          },
          "ECDSA": {
            "ECDSA": 11
          },
          "ECIES": {
            "ECIES": 2
          }
        },
        "FF": {
          "DH": {
            "DH": 13,
            "Diffie-Hellman": 2
          },
          "DSA": {
            "DSA": 12
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 6
        },
        "CCM": {
          "CCM": 3
        },
        "CTR": {
          "CTR": 2
        },
        "ECB": {
          "ECB": 6
        },
        "GCM": {
          "GCM": 3
        },
        "XTS": {
          "XTS": 2
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "SSL": {
            "SSL": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 4
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 5,
          "#1054": 1,
          "#14": 3,
          "#1422": 5,
          "#1609": 2,
          "#200": 1,
          "#500": 1,
          "#791": 4,
          "#82": 1,
          "#945": 5
        }
      },
      "fips_certlike": {
        "Certlike": {
          "#1054 AES": 1,
          "#1609 DES": 1,
          "DSA 11": 1,
          "HMAC-SHA-1": 6,
          "HMAC-SHA-224": 4,
          "HMAC-SHA-256": 2,
          "HMAC-SHA-384": 4,
          "HMAC-SHA-512": 4,
          "HMAC-SHA256": 2,
          "PKCS #1": 7,
          "PKCS1": 3,
          "RSA #1": 1,
          "RSA 2": 1,
          "RSA PKCS #1": 1,
          "RSA PKCS1": 3,
          "SHA-1": 3,
          "SHA-224": 2,
          "SHA-256": 2,
          "SHA-384": 2,
          "SHA-512": 2
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 4
        }
      },
      "hash_function": {
        "MD": {
          "MD4": {
            "MD4": 2
          },
          "MD5": {
            "MD5": 2
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 3
          },
          "SHA2": {
            "SHA-224": 2,
            "SHA-256": 2,
            "SHA-384": 2,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 8
        },
        "RNG": {
          "RNG": 7
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "Timing Attack": 2,
          "Timing Attacks": 1
        },
        "other": {
          "Bleichenbacher attack": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 12,
          "FIPS 180-4": 5,
          "FIPS 186-2": 1,
          "FIPS 186-4": 4,
          "FIPS 197": 1,
          "FIPS 198": 5,
          "FIPS 46-3": 1,
          "FIPS PUB 140-2": 6
        },
        "NIST": {
          "NIST SP 800-131A": 2,
          "NIST SP 800-56A": 4,
          "NIST SP 800-56B": 2,
          "NIST SP 800-90": 2,
          "NIST SP 800-90A": 1,
          "SP 800-56A": 1
        },
        "PKCS": {
          "PKCS #1": 4,
          "PKCS1": 3
        },
        "RFC": {
          "RFC 1115": 1,
          "RFC 1320": 1,
          "RFC 1321": 1,
          "RFC 2104": 1,
          "RFC 2268": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 18
          }
        },
        "DES": {
          "3DES": {
            "TDES": 6,
            "Triple-DES": 1,
            "TripleDES": 1
          },
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 2,
            "HMAC": 5,
            "HMAC-SHA-224": 2,
            "HMAC-SHA-256": 1,
            "HMAC-SHA-384": 2,
            "HMAC-SHA-512": 2
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "KTS#1609",
        "HMAC#945",
        "DSA#500",
        "ECDSA#200",
        "KAS#14",
        "DRBG#82",
        "AES#1609",
        "Triple-DES#1054",
        "SHS#1422",
        "RSA#791"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#1422",
        "#500",
        "#945",
        "#1609",
        "#1054",
        "#791",
        "#200",
        "#82"
      ]
    },
    "policy_metadata": {
      "/CreationDate": "D:20200702194847Z00\u002700\u0027",
      "/Creator": "Word",
      "/ModDate": "D:20200702194847Z00\u002700\u0027",
      "/Producer": "macOS Version 10.15.5 (Build 19F101) Quartz PDFContext",
      "/Title": "Microsoft Word - SB_GSE_5_6_2_Security_Policy.doc",
      "pdf_file_size_bytes": 654521,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 24
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "5db1770b7d05107cfb9d83b0230c4501851097d43c58fd88cd2704d47b08f07e",
      "source_hash": "a27f3c8facba57d0b6201fb4ff102f54a138600912855e9edca2079b17b79671",
      "txt_hash": "ff80ad62b29f074583a6d1f45a20c849a36b314b6663f1c9558e4968f7669104"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. This validation entry is a non-security-relevant modification to Cert. #1579",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2020_011020_0703.pdf",
    "date_sunset": null,
    "description": "The Security Builder FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Physical Security: N/A"
    ],
    "fw_versions": null,
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {
      "1579": 1
    },
    "module_name": "Security Builder\u00ae FIPS Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "5.6 [1], 5.6.1 [2] or 5.6.2 [3]",
    "tested_conf": [
      "QNX Neutrino 6.5 running on a PowerPC based PC with a Freescale P1010 Processor [3]",
      "QNX Neutrino 6.6 running on an ARM based PC with an ARMv7 Processor [1][2][3]",
      "QNX Neutrino 6.6 running on an Intel based PC with an Intel Celeron N2820 Processor [3] (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2020-09-28",
        "lab": "Lightship Security, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Certicom Corp.",
    "vendor_url": "http://www.certicom.com"
  }
}